let $navToggle = document.querySelector(".hamburger");
let $navWrapper = document.querySelector(".pc-nav-area");

// ハンバーガーボタンを押すとクラスにactiveを追加するコード
$navToggle.addEventListener("click", function () {
    if($navWrapper.classList.contains("active")) {
       $navWrapper.classList.remove("active");
       $navToggle.classList.remove("action");
    }else {
       $navWrapper.classList.add("active");
       $navToggle.classList.add("action");
    }
});

// スクロール量が５００以上であればサイトトップボタンを表示させるためにクラス「show」を追加するコード
let siteTop = document.querySelector('.site-top');
const scrollAnimationTop = function() {
    var triggerMargin = 500;
    if (window.pageYOffset > triggerMargin) {
        siteTop.classList.add("show");
    }else {
      siteTop.classList.remove("show");
    }
}
window.addEventListener('load', scrollAnimationTop);
window.addEventListener('scroll', scrollAnimationTop);

//スムーススクロール
const EventTarget = document.getElementById('page_top');
EventTarget.addEventListener('click', (e) => {
  e.preventDefault();
  window.scroll({
    top: 0,
    behavior: 'smooth'
  });
});

